﻿/**
 * global_cf7
 * @version	1.0
 * @release	01-04-2021
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

.global_cf7
{
	color: var(--root_color_dark);
}

.global_cf7 label
{
	display: block;
}

/* margines w stosunku do checkboxa */
.global_cf7 .is_margin_left
{
	margin-left: 20px !important;
	width: calc(100% - 20px) !important;
}

/**********************************************************************************/

.global_cf7 span.wpcf7-form-control-wrap
{
	display: block !important;
	margin-top: 5px !important;
}

.global_cf7 span.wpcf7-form-control-wrap:last-child
{
	margin-top: 5px !important;
}

.global_cf7 span.wpcf7-form-control-wrap:first-child
{
	margin-top: 0 !important;
}

.global_cf7 .global_checkbox > span.wpcf7-form-control-wrap
{
	margin-top: 0 !important;
}

.global_cf7 .wpcf7-not-valid-tip
{
	display: block !important;
	font-size: 12px !important;
	line-height: var(--global_line_height) !important;
	margin-top: var(--global_size_5) !important;
	background: transparent !important;
	color: var(--root_color_dark) !important;
}

.background_lead .global_cf7 .wpcf7-not-valid-tip
{
	color: var(--root_color_white) !important;
}

.global_cf7 .wpcf7-response-output
{
	font-size: 14px !important;
	line-height: var(--global_line_height) !important;
	padding-top: var(--global_size_30) !important;
	padding-right: var(--global_size_30) !important;
	padding-bottom: var(--global_size_30) !important;
	padding-left: var(--global_size_30) !important;
	background: transparent !important;
	text-align: center !important;

	border-color: var(--root_color_dark) !important;
	border-width: 1px !important;
	border-radius: 0;
	margin-top: var(--global_size_40) !important;
	margin-right: 0 !important;
	margin-bottom: 0 !important;
	margin-left: 0 !important;
}

.global_cf7 .wpcf7 form.spam .wpcf7-response-output,
.global_cf7 .wpcf7 form.invalid .wpcf7-response-output,
.global_cf7 .wpcf7 form.unaccepted .wpcf7-response-output,
.global_cf7 .wpcf7 form.sent .wpcf7-response-output
{
	border-color: var(--root_color_dark) !important;
	color: var(--root_color_dark) !important;
}

.background_lead .global_cf7 .wpcf7 form.spam .wpcf7-response-output,
.background_lead .global_cf7 .wpcf7 form.invalid .wpcf7-response-output,
.background_lead .global_cf7 .wpcf7 form.unaccepted .wpcf7-response-output,
.background_lead .global_cf7 .wpcf7 form.sent .wpcf7-response-output
{
	border-color: var(--root_color_white) !important;
	color: var(--root_color_white) !important;
}

.global_cf7 .ajax-loader,
.global_cf7 .wpcf7-spinner
{
	position: fixed !important;
	width: 100% !important;
	height: 100% !important;
	background-color: transparent !important;
	background-image: var(--global_loader_background_image) !important;
	background-repeat: var(--global_loader_background_repeat) !important;
	background-position: var(--global_loader_background_position) !important;
	background-size: var(--global_loader_background_size) !important;
	z-index: 11000 !important;
	margin: auto !important;
	top: 0 !important;
	left: 0 !important;
	right: 0 !important;
	bottom: 0 !important;
	opacity: 1 !important;
	border-radius: 0 !important;
}

.background_lead .global_cf7 .ajax-loader,
.background_lead .global_cf7 .wpcf7-spinner
{
	--global_loader_background_image: url("data:image/svg+xml;charset=UTF-8,%3csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='100px' height='100px' viewBox='0 0 100 100' enable-background='new 0 0 100 100' xml:space='preserve'%3e%3ccircle cx='50' cy='50' r='40' stroke='%23ffffff' opacity='0' fill='none' stroke-width='1' stroke-linecap='round'%3e%3c/circle%3e%3ccircle cx='50' cy='50' r='40' stroke='%23FFFFFF' fill='none' stroke-width='8' stroke-linecap='round'%3e%3canimate attributeName='stroke-dashoffset' dur='2s' repeatCount='indefinite' from='0' to='-502'%3e%3c/animate%3e%3canimate attributeName='stroke-dasharray' dur='2s' repeatCount='indefinite' values='150.6 100.4;1 250;150.6 100.4'%3e%3c/animate%3e%3c/circle%3e%3c/svg%3e");
}

.global_cf7 .ajax-loader::before,
.global_cf7 .wpcf7-spinner:before
{
	display: none;
}

.global_cf7 input[type="submit"]:disabled,
.global_cf7 .wpcf7-submit:disabled
{
	opacity: 0.5;
	pointer-events: none;
}

.global_cf7 input[type="submit"],
.global_cf7 .wpcf7-submit
{
/*	width: 100%; */
}

.background_lead .global_cf7 .global_button
{
	--global_button_color:				var(--root_color_dark);
	--global_button_background_color:	var(--root_color_lead);
	--global_button_color_h:			var(--root_color_dark);
	--global_button_background_color_h:	var(--root_color_white);
}